'''
Advanced Power CPU Governor Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class CPUGovernor(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = ''
    self.file = '/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor'

  def process(self, lines):
    return str(lines[0])
