'''
Advanced Power Temperature Module for N8x0
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class Temperature_N8x0(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/devices/platform/i2c_omap.1/i2c-1/1-0048/temp1_input'

  def process(self, lines):
    return long(lines[0])/1000.0
