'''
Advanced Power Temperature Module for N900
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class Temperature_N900(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/devices/platform/omap34xx_temp/temp1_input'

  def process(self, lines):
    return long(lines[0])
