'''
Advanced Power Bluetooth Wrapper Dummy
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from wrappers.bluetooth.AbstractBluetooth import AbstractBluetooth

class BluetoothDummy(AbstractBluetooth):

  def pre_init(self):
    self.friendly_name = 'Dummy'
    self.dep_packages = {'advanced-power-monitor': '0.5.1'}
    self.interfaces_map = {}
    self.export_signals = {'bluetooth_mode': {}}

  def get_status(self):
    pass

  def mode_handler(self):
    pass

  def get_mode(self):
    return 'unknown'

  def set_mode(self, mode):
    pass

  def get_available_modes(self):
    return ['unknown']
