'''
Advanced Power Abstract USB Mode Wrapper
2008-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from wrappers.AbstractWrappers import AbstractWrapper

class AbstractUSBMode(AbstractWrapper):

  def __init__(self, bus, check = False):
    self.usb_mode = 'unknown'
    self.usb_modes = ['unknown']
    AbstractWrapper.__init__(self, bus, check)

  def post_init(self):
    pass

  def mode_handler(self, *args):
    raise NotImplementedError("AbstractUSBMode.mode_handler(*args) must be implemented")

  def get_mode(self):
    raise NotImplementedError("AbstractUSBMode.get_mode() must be implemented")

  def set_mode(self, mode):
    raise NotImplementedError("AbstractUSBMode.set_mode(mode) must be implemented")

  def get_available_modes(self):
    raise NotImplementedError("AbstractUSBMode.get_available_modes() must be implemented")
