'''
Advanced Power CPU Governors Module
2009(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class CPUGovernors(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = -1
    self.value = ''
    self.file = '/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors'

  def process(self, lines):
    lines = lines[0].split(' ')
    return [l for l in lines if l]
