'''
Advanced Power Light Sensor Module for N810
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

import os.path
from modules.AbstractModules import AbstractModuleWithFileSource

class LightSensor_N810(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/bus/i2c/drivers/tsl2563/0-0029/lux'
    self.available = os.path.exists("/usr/lib/mce/modules/libfilter-brightness-als.so") and os.path.exists("/usr/lib/mce/modules/libfilter-brightness-simple.so")

  def process(self, lines):
    return long(lines[0])
