'''
Advanced Power Light Sensor Module for N900
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class LightSensor_N900(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = 10000
    self.value = 0
    self.file = '/sys/bus/i2c/drivers/tsl2563/2-0029/lux'

  def process(self, lines):
    return long(lines[0])
