'''
Advanced Power OS Version Module for Maemo 5
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

import os.path
from modules.AbstractModules import AbstractModuleWithShellSource

class OSVersion_Maemo(AbstractModuleWithShellSource):

  def pre_init(self):
    self.interval = -1
    self.value = 'Unknown'
    self.command = '/usr/bin/osso-product-info 2>/dev/null | grep \'RELEASE_VERSION\''
    self.available = os.path.exists('/usr/bin/osso-product-info')

  def process(self, lines):
    return lines[0].rsplit('RELEASE_VERSION=')[1].replace('\'', '')
