'''
Advanced Power OS Version Module for Mer
2009-2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from modules.AbstractModules import AbstractModuleWithFileSource

class OSVersion_Mer(AbstractModuleWithFileSource):

  def pre_init(self):
    self.interval = -1
    self.value = 'Unknown'
    self.file = '/etc/lsb-release'

  def process(self, lines):
    return ('%s %s' % (lines[0].rsplit('=')[1], lines[1].rsplit('=')[1])).strip('\"')
